org.eclipse.microprofile.rest.client.tck.interfaces

## Interface InterfaceWithProvidersDefined

All Superinterfaces:
  InterfaceBase

    @Path(value="/")
     @RegisterProvider(value=TestClientRequestFilter.class) @RegisterProvider(value=TestClientResponseFilter.class) @RegisterProvider(value=TestMessageBodyReader.class) @RegisterProvider(value=TestMessageBodyWriter.class) @RegisterProvider(value=TestParamConverterProvider.class) @RegisterProvider(value=TestReaderInterceptor.class) @RegisterProvider(value=TestWriterInterceptor.class)
     @Produces(value="text/plain")
     @Consumes(value="text/plain")
     @RegisterRestClient
    public interface InterfaceWithProvidersDefined
    extends InterfaceBase

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.ws.rs.core.Response` `executePost(String body)`
`javax.ws.rs.core.Response` `executePut(Widget id, String body)`

### Method Detail

#### executePost

    @POST
    javax.ws.rs.core.Response executePost(String body)

Specified by:
  `executePost` in interface `InterfaceBase`

#### executePut

    @PUT
     @Path(value="/{id}")
    javax.ws.rs.core.Response executePut(@PathParam(value="id")
                                                                    Widget id,
                                                                    String body)

Specified by:
  `executePut` in interface `InterfaceBase`